module Confirmable
  extend ActiveSupport::Concern

  included do
    has_many :video_release_confirmations, as: :releasable,  dependent: :destroy
    has_many :confirmed_videos, source: :video, through: :video_release_confirmations

    scope :appearing_in, -> (video) { joins(:confirmed_videos).where(videos: { id: video }) }
  end
end
